---
title: <display-outside>
slug: Web/CSS/display-outside
tags:
  - CSS
  - CSS Data Type
  - CSS Display
  - Data Type
  - Reference
  - display-outside
---
<div>{{CSSRef}}</div>

<p class="summary">The <code>&lt;display-outside&gt;</code> keywords specify the element’s outer {{CSSxRef("display")}} type, which is essentially its role in flow layout. These keywords are used as values of the <code>display</code> property, and can be used for legacy purposes as a single keyword, or as defined in the Level 3 specification alongside a value from the {{CSSxRef("&lt;display-inside&gt;")}} keywords.</p>

<h2 id="Syntax">Syntax</h2>

<p>Valid <code>&lt;display-outside&gt;</code> values:</p>

<dl>
 <dt><code>block</code></dt>
 <dd>The element generates a block element box, generating line breaks both before and after the element when in the normal flow.</dd>
 <dt><code>inline</code></dt>
 <dd>The element generates one or more inline element boxes that do not generate line breaks before or after themselves. In normal flow, the next element will be on the same line if there is space</dd>
 <dt><code>run-in</code> {{Experimental_Inline}}</dt>
 <dd>The element generates a run-in box. If the adjacent sibling of the element defined as <code>display: run-in</code> box is a block box, the <code>run-in</code> box becomes the first inline box of the block box that follows it.<br>
 <br>
 Run-in elements act like inlines or blocks, depending on the surrounding elements. That is: If the run-in box contains a block box, same as block. If a block box follows the run-in box, the run-in box becomes the first inline box of the block box. If an inline box follows, the run-in box becomes a block box.</dd>
</dl>

<div class="note">
<p><strong>Note</strong>: Browsers that support the two value syntax, on finding the outer value only, such as when <code>display: block</code> or <code>display: inline</code> is specified, will set the inner value to <code>flow</code>. This will result in expected behavior; for example if you specify an element to be block, you would expect that the children of that element would participate in block and inline normal flow layout.</p>
</div>

<h2 id="Examples">Examples</h2>

<p>In the following example, span elements (normally displayed as inline elements) are set to <code>display: block</code> and so break onto new lines and expand to fill their container in the inline dimension.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;span&gt;span 1&lt;/span&gt;
&lt;span&gt;span 2&lt;/span&gt;</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">span {
    display: block;
    border: 1px solid rebeccapurple;
}</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Examples", 300, 60)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Display', '#typedef-display-outside', 'display-outside')}}</td>
   <td>{{Spec2('CSS3 Display')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a class="external" href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</div>

<p>{{Compat("css.properties.display.display-outside", 10)}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{CSSxRef("display")}}
  <ul>
   <li>{{CSSxRef("&lt;display-inside&gt;")}}</li>
   <li>{{CSSxRef("&lt;display-listitem&gt;")}}</li>
   <li>{{CSSxRef("&lt;display-internal&gt;")}}</li>
   <li>{{CSSxRef("&lt;display-box&gt;")}}</li>
   <li>{{CSSxRef("&lt;display-legacy&gt;")}}</li>
  </ul>
 </li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Flow_Layout/Block_and_Inline_Layout_in_Normal_Flow">Block and Inline layout in Normal Flow</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Flow_Layout/Formatting_Contexts_Explained">Formatting Contexts explained</a></li>
</ul>
